Skip to content

Providers

Get available operators in a country.

Endpoint: POST /international-bridge/providers

Request

Pass the country_id from the Countries response.

bash
curl -X POST https://API-ENDPOINT/international-bridge/providers \
  -H "Content-Type: application/json" \
  -d '{
    "auth": {
      "id": 123,
      "key": 1706360400000,
      "hash": "a1b2c3d4e5f6..."
    },
    "country_id": "IND"
  }'
php
<?php
$url = 'https://API-ENDPOINT/international-bridge/providers';
$key = time() * 1000;

$data = [
    'auth' => [
        'id' => 123,
        'key' => $key,
        'hash' => md5(123 . $token . $key)
    ],
    'country_id' => 'IND'
];

$ch = curl_init($url);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
curl_setopt($ch, CURLOPT_HTTPHEADER, ['Content-Type: application/json']);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($ch);
curl_close($ch);

$result = json_decode($response, true);
print_r($result);
javascript
const key = Date.now();
const hash = md5(`123${token}${key}`);

const response = await fetch('https://API-ENDPOINT/international-bridge/providers', {
  method: 'POST',
  headers: { 'Content-Type': 'application/json' },
  body: JSON.stringify({
    auth: { id: 123, key, hash },
    country_id: 'IND'
  })
});

const data = await response.json();
console.log(data);
python
import requests
import hashlib
import time

url = 'https://API-ENDPOINT/international-bridge/providers'
key = int(time.time() * 1000)
hash_value = hashlib.md5(f"123{token}{key}".encode()).hexdigest()

response = requests.post(url, json={
    'auth': {
        'id': 123,
        'key': key,
        'hash': hash_value
    },
    'country_id': 'IND'
})

print(response.json())

Request Fields

FieldTypeRequiredDescription
country_idstringYesISO 3-letter country code from Countries

Response

json
{
  "country": {
    "id": "IND",
    "name": "India",
    "phone_code": "+91",
    "phone_mask": "+91 ($$$) $$$-$$-$$",
    "currency": "INR",
    "logo": "https://API-ENDPOINT/static-media/country-flags/IND.png",
    "logo_large": "https://API-ENDPOINT/static-media/country-flags-large/IND.png"
  },
  "providers": [
    {
      "id": 56,
      "name": "Airtel",
      "logo": "https://API-ENDPOINT/static-media/operators/56.png"
    },
    {
      "id": 78,
      "name": "BSNL",
      "logo": "https://API-ENDPOINT/static-media/operators/78.png"
    },
    {
      "id": 284,
      "name": "MTNL",
      "logo": "https://API-ENDPOINT/static-media/operators/284.png"
    },
    {
      "id": 396,
      "name": "Reliance Jio",
      "logo": "https://API-ENDPOINT/static-media/operators/396.png"
    },
    {
      "id": 457,
      "name": "Vi",
      "logo": "https://API-ENDPOINT/static-media/operators/457.png"
    }
  ]
}

Response Fields

FieldTypeDescription
countryobjectCountry object (same as in Countries response)
providers[].idintegerOperator ID (use in Provider request as provider_id)
providers[].namestringOperator name
providers[].logostringOperator logo URL

Next Step

Choose an operator and fetch its available amounts via Provider.

Paynet API Documentation